﻿-- To update a translation please use the localization utility at:
-- http://wow.curseforge.com/addons/spellflash/localization/

local AddonName, AddonTable = ...
local function DefaultFunction(_, key) return key end
AddonTable.Localize = setmetatable({}, {__index = DefaultFunction})
AddonTable.OldBuild = select(4, GetBuildInfo()) < (tonumber(GetAddOnMetadata(AddonName, "X-Compatible-With")) or 0)
local L = AddonTable.Localize

if GetLocale() == "frFR" then -- French
L["Add Name or Target to List"] = "ajouter le nom ou la cible a la liste"
L["Asleep"] = "Endormi"
L["Blink Spells"] = "clignotement des sort"
L["Clear Collected Immune Mob Database For All Characters"] = "effacer la liste des immunité des mob a ignorer "
L["Configure Class Module"] = "configuration le module de la classe"
L["Debuff Owner Checking"] = "vérification du possesseur du debuff"
L["Flash Brightness:"] = "luminosité de l'eclat"
L["Flash Macros"] = "éclat sur les macro"
L["Flash Size:"] = "taille de l'éclat "
L["Immune Mob Ignore List:"] = "liste le l'immunité des mob a ignorer"
L["Mob Immunity Detection"] = "détection de l'immunité du mob"
L["Movement Check"] = "vérification du mouvement"
L["Range Check"] = "vérification de la distance"
L["Remove Selection from List"] = "retirer l'élément sélectionné de la liste "
L["Selected Class Module:"] = "sélectionner le module de classe"
L["Shields"] = "Boucliers"
L["Spell Flashing"] = "éclat"
L["SpellFlash settings have been reset for all players"] = "toute les configuration ont bien été réinitialise pour tout les personnages"
L["SpellFlash: Enabled checking to see if debuffs are from you."] = "éclat : active la vérification pour voir si le debuff vient de vous"
L["Use All Class Modules"] = "utiliser tout les module de classe"

elseif GetLocale() == "deDE" then -- German
L["Add Name or Target to List"] = "Name oder Ziel zur Liste hinzufügen"
L["Asleep"] = "Schlafend"
L["Blink Spells"] = "Zaubersprüche aufblinken"
L["Clear Collected Immune Mob Database For All Characters"] = "DAtensammlung immuner Mobs bei allen Charakteren löschen"
L["Configure Class Module"] = "Klassen-Module konfigurieren"
L["Debuff Owner Checking"] = "Überprüfung der Besitzer von Schwächungszaubern"
L["Flash Brightness:"] = "Aufblitz-Leuchtkraft:"
L["Flash Macros"] = "Aufblitz-Makros"
L["Flash Size:"] = "Aufblitz-Größe:"
L["Immune Mob Ignore List:"] = "Ignorierliste immuner Mobs:"
L["Mob Immunity Detection"] = "Erkennung gegnerischer Immunitäten"
L["Movement Check"] = "Bewegungsüberprüfung"
L["Range Check"] = "Reichweitenüberprüfung"
L["Remove Selection from List"] = "Auswahl aus der Liste entfernen"
L["Selected Class Module:"] = "Ausgewählte Klassen-Module:"
L["Shields"] = "Schilde"
L["Spell Flashing"] = "Aufblitzende Zauber"
L["SpellFlash settings have been reset for all players"] = "SpellFlash-Einstellungen wurden für alle Spieler zurückgesetzt."
L["SpellFlash: Enabled checking to see if debuffs are from you."] = "SpellFlash: Überprüfung, ob die Schwächungszauber von dir stammen, ist aktiviert."
L["Use All Class Modules"] = "Alle Klassen-Module verwenden"

elseif GetLocale() == "koKR" then -- Korean
-- L["Add Name or Target to List"] = ""
-- L["Asleep"] = ""
-- L["Blink Spells"] = ""
-- L["Clear Collected Immune Mob Database For All Characters"] = ""
-- L["Configure Class Module"] = ""
-- L["Debuff Owner Checking"] = ""
-- L["Flash Brightness:"] = ""
-- L["Flash Macros"] = ""
-- L["Flash Size:"] = ""
-- L["Immune Mob Ignore List:"] = ""
-- L["Mob Immunity Detection"] = ""
-- L["Movement Check"] = ""
-- L["Range Check"] = ""
-- L["Remove Selection from List"] = ""
-- L["Selected Class Module:"] = ""
-- L["Shields"] = ""
-- L["Spell Flashing"] = ""
-- L["SpellFlash settings have been reset for all players"] = ""
-- L["SpellFlash: Enabled checking to see if debuffs are from you."] = ""
-- L["Use All Class Modules"] = ""

elseif GetLocale() == "esMX" then -- Latin American Spanish
-- L["Add Name or Target to List"] = ""
-- L["Asleep"] = ""
-- L["Blink Spells"] = ""
-- L["Clear Collected Immune Mob Database For All Characters"] = ""
-- L["Configure Class Module"] = ""
-- L["Debuff Owner Checking"] = ""
-- L["Flash Brightness:"] = ""
-- L["Flash Macros"] = ""
-- L["Flash Size:"] = ""
-- L["Immune Mob Ignore List:"] = ""
-- L["Mob Immunity Detection"] = ""
-- L["Movement Check"] = ""
-- L["Range Check"] = ""
-- L["Remove Selection from List"] = ""
-- L["Selected Class Module:"] = ""
-- L["Shields"] = ""
-- L["Spell Flashing"] = ""
-- L["SpellFlash settings have been reset for all players"] = ""
-- L["SpellFlash: Enabled checking to see if debuffs are from you."] = ""
-- L["Use All Class Modules"] = ""

elseif GetLocale() == "ruRU" then -- Russian
L["Add Name or Target to List"] = "Добавить имя или цель в список"
L["Asleep"] = "Сон"
L["Blink Spells"] = "Мерцание заклинания"
-- L["Clear Collected Immune Mob Database For All Characters"] = ""
-- L["Configure Class Module"] = ""
-- L["Debuff Owner Checking"] = ""
L["Flash Brightness:"] = "Яркость вспышки:"
L["Flash Macros"] = "Макросы"
L["Flash Size:"] = "Размер вспышки:"
-- L["Immune Mob Ignore List:"] = ""
-- L["Mob Immunity Detection"] = ""
L["Movement Check"] = "Проверить движение"
L["Range Check"] = "Проверить диапазон"
L["Remove Selection from List"] = "Удалить выбранное из списка"
-- L["Selected Class Module:"] = ""
L["Shields"] = "Щиты" -- Needs review
L["Spell Flashing"] = "Вспыхивающее заклинание"
-- L["SpellFlash settings have been reset for all players"] = ""
-- L["SpellFlash: Enabled checking to see if debuffs are from you."] = ""
-- L["Use All Class Modules"] = ""

elseif GetLocale() == "zhCN" then -- Simplified Chinese
-- L["Add Name or Target to List"] = ""
-- L["Asleep"] = ""
-- L["Blink Spells"] = ""
-- L["Clear Collected Immune Mob Database For All Characters"] = ""
-- L["Configure Class Module"] = ""
-- L["Debuff Owner Checking"] = ""
-- L["Flash Brightness:"] = ""
-- L["Flash Macros"] = ""
-- L["Flash Size:"] = ""
-- L["Immune Mob Ignore List:"] = ""
-- L["Mob Immunity Detection"] = ""
-- L["Movement Check"] = ""
-- L["Range Check"] = ""
-- L["Remove Selection from List"] = ""
-- L["Selected Class Module:"] = ""
-- L["Shields"] = ""
-- L["Spell Flashing"] = ""
-- L["SpellFlash settings have been reset for all players"] = ""
-- L["SpellFlash: Enabled checking to see if debuffs are from you."] = ""
-- L["Use All Class Modules"] = ""

elseif GetLocale() == "esES" then -- Spanish
L["Add Name or Target to List"] = "Añadir Nombre u Objetivo a la Lista"
L["Asleep"] = "Dormido"
L["Blink Spells"] = "Parpadear hechizos"
L["Clear Collected Immune Mob Database For All Characters"] = "Limpiar Base de Datos recogida de Criaturas Inmunes para todos los Personajes"
L["Configure Class Module"] = "Configurar Módulo de Clase"
L["Debuff Owner Checking"] = "Comprobar el Propietario de la Desventaja"
L["Flash Brightness:"] = "Brillo de Destello"
L["Flash Macros"] = "Hacer destellar las Macros"
L["Flash Size:"] = "Tamaño de Destello:"
L["Immune Mob Ignore List:"] = "Lista de Criaturas Inmunes Ignoradas"
L["Mob Immunity Detection"] = "Detección de Inmunidad de Criatura"
L["Movement Check"] = "Comprobación de Movimiento"
L["Range Check"] = "Comprobación de Rango"
L["Remove Selection from List"] = "Quitar Selección de la Lista"
L["Selected Class Module:"] = "Módulo de Clase Seleccionado:"
L["Shields"] = "Escudos"
L["Spell Flashing"] = "Destello de Hechizo"
L["SpellFlash settings have been reset for all players"] = "Las opciones de SpellFlash han sido reiniciadas para todos los personajes"
L["SpellFlash: Enabled checking to see if debuffs are from you."] = "SpellFlash: Activado el comprobar si las desventajas son tuyas."
L["Use All Class Modules"] = "Usar Todos los Módulos de Clase"

elseif GetLocale() == "zhTW" then -- Traditional Chinese
-- L["Add Name or Target to List"] = ""
-- L["Asleep"] = ""
-- L["Blink Spells"] = ""
-- L["Clear Collected Immune Mob Database For All Characters"] = ""
-- L["Configure Class Module"] = ""
-- L["Debuff Owner Checking"] = ""
-- L["Flash Brightness:"] = ""
-- L["Flash Macros"] = ""
-- L["Flash Size:"] = ""
-- L["Immune Mob Ignore List:"] = ""
-- L["Mob Immunity Detection"] = ""
-- L["Movement Check"] = ""
-- L["Range Check"] = ""
-- L["Remove Selection from List"] = ""
-- L["Selected Class Module:"] = ""
L["Shields"] = "盾牌" -- Needs review
-- L["Spell Flashing"] = ""
-- L["SpellFlash settings have been reset for all players"] = ""
-- L["SpellFlash: Enabled checking to see if debuffs are from you."] = ""
-- L["Use All Class Modules"] = ""

end